Subject: bug#24079: 11.89.4; Auctex noweb issue.

From: Mosè Giordano <[email-masked]>
Date: Fri, 29 Jul 2016 00:32:24 +0200

Hi Reinhard,

2016-07-28 23:52 GMT+02:00 Reinhard Kotucha <[email-masked]>:
> On 2016-07-28 at 18:24:56 +0200, Mosè Giordano wrote:
>
>  >  but when I `edebug' it the problem goes away.
>
> It seems that you encountered a Heisenbug.
>
>   https://en.wikipedia.org/wiki/Heisenbug

Yes, I know, indeed I linked the same Wikipedia article in the ESS bug
ticket ;-)

> If so, edebug is probably not the best choice.

Ok, but how to debug then?  I noticed that if I press C-g repeatedly
only the first line is uncommented, the others remain commented, so
the infinite loop must lies somewhere between the first and the second
deletion of the comment string, but I can't discover where exactly.

Bye,
Mosè